Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class ValueInclusion

    java.lang.Object
      org.hibernate.engine.ValueInclusion

All Implemented Interfaces:
  Serializable

    public class ValueInclusion

extends Object
implements Serializable

An enum of the different ways a value might be "included".

This is really an expanded true/false notion with "PARTIAL" being the expansion. PARTIAL deals with components in the cases where parts of the referenced component might define inclusion, but the component overall does not.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static ValueInclusion` | `FULL`
`static ValueInclusion` | `NONE`
`static ValueInclusion` | `PARTIAL`

Constructor Summary
`ValueInclusion(String name)`

Method Summary
`String` | `getName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final ValueInclusion NONE

### FULL

    public static final ValueInclusion FULL

### PARTIAL

    public static final ValueInclusion PARTIAL

Constructor Detail

### ValueInclusion

    public ValueInclusion(String name)

Method Detail

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.